aboutsummaryrefslogtreecommitdiff
path: root/src/customize_airootfs.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/customize_airootfs.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/src/customize_airootfs.sh b/src/customize_airootfs.sh
new file mode 100755
index 0000000..b9b0244
--- /dev/null
+++ b/src/customize_airootfs.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+chmod 700 /root
+
+sed -i 's/#\(PermitRootLogin \).\+/\1yes/' /etc/ssh/sshd_config
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+sed -i 's/#\(Storage=\)auto/\1volatile/' /etc/systemd/journald.conf
+
+sed -i 's/#\(HandleSuspendKey=\)suspend/\1ignore/' /etc/systemd/logind.conf
+sed -i 's/#\(HandleHibernateKey=\)hibernate/\1ignore/' /etc/systemd/logind.conf
+sed -i 's/#\(HandleLidSwitch=\)suspend/\1ignore/' /etc/systemd/logind.conf
+
+systemctl enable pacman-init.service choose-mirror.service
+systemctl set-default multi-user.target
+
+#loadkeys fr
+#chmod +x install.sh
+#chmod +x chroot-install.sh